[26726] in Source-Commits
/svn/athena r25712 - in trunk/debathena/scripts: . installer/pxe/precise/debathena
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Wed Aug 8 10:03:15 2012
Date: Wed, 8 Aug 2012 10:02:55 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201208081402.q78E2txi014578@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2012-08-08 10:02:55 -0400 (Wed, 08 Aug 2012)
New Revision: 25712
Modified:
trunk/debathena/scripts/da
trunk/debathena/scripts/installer/pxe/precise/debathena/preseed.autoinstall
Log:
No, really, don't pass -A for Arch: any packages
Modified: trunk/debathena/scripts/da
===================================================================
--- trunk/debathena/scripts/da 2012-08-08 00:12:19 UTC (rev 25711)
+++ trunk/debathena/scripts/da 2012-08-08 14:02:55 UTC (rev 25712)
@@ -23,6 +23,18 @@
succ=
fail=
+if [ $A -eq 1 ] && \
+ [ "${DA_SHOOT_SELF_IN_FOOT:-x}" != "yesplease" ]; then
+ for i in "$@"; do
+ if echo "$i" | grep -q '\.dsc$' && \
+ grep -Fqx 'Architecture: any' "$i"; then
+ echo "ERROR: Won't build an 'Architecture: any' package with -A" >&2
+ exit 1
+ fi
+ done
+fi
+exit 0
+
# Display a horizontal rule on stderr.
hr () {
for i in $(seq 60); do echo -n '═' >&2; done; echo >&2
Modified: trunk/debathena/scripts/installer/pxe/precise/debathena/preseed.autoinstall
===================================================================
--- trunk/debathena/scripts/installer/pxe/precise/debathena/preseed.autoinstall 2012-08-08 00:12:19 UTC (rev 25711)
+++ trunk/debathena/scripts/installer/pxe/precise/debathena/preseed.autoinstall 2012-08-08 14:02:55 UTC (rev 25712)
@@ -111,7 +111,7 @@
d-i apt-setup/restricted boolean true
d-i apt-setup/universe boolean true
# Stop configuring backports (originally needed for Jaunty on the 755s)
-# d-i apt-setup/backports boolean true
+# d-i apt-setup/backports boolean false
# Uncomment this if you don't want to use a network mirror.
#d-i apt-setup/use_mirror boolean false
# Select which update services to use; define the mirrors to be used.